=== debian/control ===
Source: groovy1.7.2
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Brian Thomason <brian.thomason@eucalyptus.com>
Build-Depends: debhelper (>= 7.0.50~), cdbs
Build-Depends-Indep: maven-repo-helper, ant (>= 1.7.1), ant-optional, default-jdk, bzip2, libasm3-java,
 libbsf-java, libcommons-cli-java (>= 1.2), libcommons-logging-java
 (>= 1.0.3), junit4, libmockobjects-java (>= 0.09), libregexp-java (>=
 1.2), libservlet2.5-java, libxstream-java, libjline-java, antlr,
 tofrodos, ivy, libqdox-java, libjarjar-java, libjansi-java
Standards-Version: 3.9.2
Homepage: http://groovy.codehaus.org/
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/groovy1.7.2/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/groovy1.7.2/

Package: libgroovy1.7.2-java
Architecture: all
Depends: ${misc:Depends}, antlr, libasm3-java, libbsf-java,
 libcommons-cli-java (>= 1.0),
 libcommons-logging-java (>= 1.0.3), junit4, libmockobjects-java (>=
 0.09), libregexp-java (>= 1.2), libservlet2.5-java, libjline-java,
 libxstream-java, ivy
Suggests: ant (>= 1.7.1)
Description: Agile dynamic language for the Java Virtual Machine
 Groovy is an agile dynamic language for the JVM combining lots of great
 features from languages like Python, Ruby and Smalltalk and making them
 available to the Java developers using a Java-like syntax.
 .
 Groovy is designed to help you get things done on the Java platform in a
 quicker, more concise and fun way - bringing the power of Python and Ruby
 inside the Java platform.
 .
 Groovy can be used as an alternative compiler to javac to generate
 standard Java bytecode to be used by any Java project or it can be used
 dynamically as an alternative language such as for scripting Java objects,
 templating or writing unit test cases. 
 .
 The groovy API broke between 1.7.2 and 1.7.3 in a way that affects
 Eucalyptus. The latest version of the groovy 1.7 series is 1.7.10.
