=== debian/watch ===
version=3
http://dist.groovy.codehaus.org/distributions/groovy-src-(1\.7.+).zip debian debian/orig-tar.sh
